# TENZ-ID Quickstart

## Mainnet

As a user you can get simply your own TENZ-ID by heading to https://tenzorum.org/tenz_id
and using MetaMask to claim it.

As a developer you can interact with the smart contract directly. It is deployed here:

https://etherscan.io/address/0xe47405af3c470e91a02bfc46921c3632776f9c6b#code

Currently, it supports two domains: `tenzorum-id.eth` and `tenz-id.xyz` and you can
use either.

Etherscan, MetaMask, MyCrypto and MyEtherWallet support TENZ-ID resolution. 
Here's an example of it looks on Etherscan for `radek.tenzorum-id.eth`

![Etherscan TENZ-ID Resolution](https://github.com/radek1st/ens-subdomain-factory/blob/master/img/mainnet-etherscan.png)

## Rinkeby Testnet

We've also deployed it to test network here: https://rinkeby.etherscan.io/address/0x63674c69b899bee3f36a52f0f0c6cd4603e14ecf#code

It also supports `tenzorum-id.eth` and `tenz-id.xyz` domains. If you would like to
have a custom domain please contact radek@tenzorum.org for one.

Here's a screenshot of how to create one using [Remix](https://remix.ethereum.org):

![Remix Create TENZ-ID](https://github.com/radek1st/ens-subdomain-factory/blob/master/img/create-tenz-id.png)

And here's how it resolves both Owner and Target:

![Remix Resolve TENZ-ID Owner and Target](https://github.com/radek1st/ens-subdomain-factory/blob/master/img/resolve-tenz-id.png)


